# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kafka_lite/version'

Gem::Specification.new do |spec|
  spec.name          = "kafka_lite"
  spec.version       = Kafka::Lite::VERSION
  spec.authors       = ["Simply Business"]
  spec.email         = ["tech@simplybusiness.co.uk"]

  spec.summary       = %q{A "lite" version of Kafka, the distributed streaming platform.}
  spec.description   = %q{Experiment with the unified log and with event sourcing, _sans_ Kafka!}
  spec.homepage      = "https://github.com/simplybusiness/kafka_lite"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", "~> 5.0"
  spec.add_dependency "slop", "~> 3.0"

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-rescue"
end
